Gst::TocSetter Class Reference

Inherits Interface.

## Public Member Functions

virtual | ~TocSetter ()
GstTocSetter* | gobj ()
| Provides access to the underlying C GObject. More...
const GstTocSetter* | gobj () const
| Provides access to the underlying C GObject. More...

## Static Public Member Functions

static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions

| TocSetter ()
| You should derive from this class to use it. More...

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Gst::TocSetter > | wrap (GstTocSetter* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Constructor & Destructor Documentation

Gst::TocSetter::TocSetter | ( |  | ) |

protected

You should derive from this class to use it.

virtual Gst::TocSetter::~TocSetter | ( |  | ) |

virtual

## Member Function Documentation

static void Gst::TocSetter::add_interface | ( | GType | gtype_implementer | ) |

static

static GType Gst::TocSetter::get_type | ( |  | ) |

static

Get the GType for this class, for use with the underlying GObject type system.

GstTocSetter* Gst::TocSetter::gobj | ( |  | ) |

inline

Provides access to the underlying C GObject.

const GstTocSetter* Gst::TocSetter::gobj | ( |  | ) | const

inline

Provides access to the underlying C GObject.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::TocSetter > wrap | ( | GstTocSetter * | object,
|  | bool | take_copy = `false`
| ) |  |

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/tocsetter.h